<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- real_estate-001 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
    <tr>
      <td height="134" colspan="2" align="left" valign="top" background="images/00_05.jpg">
<table width="242" height="175" border="0" cellspacing="0">
  <tr><td height="134" align="center" style="background-image: url(images/logobg.gif);
	background-repeat: no-repeat;
	background-position: left top;">
<!-- LOGO -->
	<table width="200" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        </tr>
        <tr>
          <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        </tr>
      </table>
<!-- END LOGO -->
</td>
  </tr></table>
	  </td>
      <td width="3" background="images/00_05.jpg"><img src="images/00_04.jpg" width="3" height="180" alt="" /></td>
      <td width="717" align="right" background="images/00_05.jpg">
 <table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="180"  width="100%" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right;"></td>
  </tr>
</table>
	  </td>
    </tr>
    <tr>
      <td align="left" width="6" background="images/00_09.jpg"><img src="images/00_07.jpg" width="6" height="53" alt="" /></td>
      <td width="247" align="center" background="images/00_09.jpg" class="slogan" style="padding-right: 15px;
	padding-left: 15px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
      <td width="3"><img src="images/00_11.jpg" width="3" height="53" alt="" /></td>
      <td align="center"  width="717" background="images/00_12.jpg"  style="padding-right: 20px;
	padding-left: 20px;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
    </tr>
    <tr>
      <td></td>
      <td align="right" valign="top">
<div style="width:247px; height:20px;"><span></span></div>
<!-- SUBMENU -->
	  <table width="190" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->
	  </td>
      <td width="3" background="images/00_16.jpg"></td>
      <td align="left"  width="717" height="100%" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_19.jpg" width="27" height="18" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
			<!-- END CONTENT --></td>
    </tr>
    <tr>
      <td height="1" colspan="4" bgcolor="#E5E5E5"></td>
    </tr>
    <tr>
      <td rowspan="2"></td>
      <td><img src="images/fff.gif" width="220" height="1" /></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td colspan="3" align="center">
	  <br/>
<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
<br/> 
	  </td>
    </tr>
  </table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
          <td width="20" height="30" align="left"><img src="images/00_22.jpg" width="12" height="7" alt="" /></td>
          <td width="170" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
          <td width="20" height="30" align="left"><img src="images/00_22.jpg" width="12" height="7" alt="" /></td>
          <td width="170"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr>
          <td height="1" colspan="2" bgcolor="#E5E5E5"></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="20" align="center"><img src="images/00_28.jpg" width="13" height="5" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
