<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-24 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="151" background="images/xww_02.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="151" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left; padding-left: 40px;">
<!-- END LOGO -->
	<table width="300" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="40" rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td width="260" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="bottom" background="images/xww_04.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" style="padding-left: 45px;
	padding-right: 45px; ">
<!-- END MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		   <xsl:call-template name="TOP-MENU"/>
            </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="169" valign="bottom"><img src="images/xww_05.jpg" width="169" height="49" alt="" /></td>
        <td width="45"><img src="images/spacer.gif" width="45" height="10" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" background="images/xww_36.jpg" width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" height="100%" valign="top" style="background-image: url(images/xww_23.jpg);
	background-repeat: repeat-x;
	background-position: top;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="100%" valign="top" style="background-image: url(images/xww_18.jpg);
	background-repeat: no-repeat;
	background-position: right top; padding-left: 40px;
	padding-right: 40px;
	padding-top: 20px;">
	<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
<!-- END CONTENT -->
	</td>
          </tr>
        </table></td>
        <td width="170" valign="top"><table width="169" border="0" cellspacing="0" cellpadding="0"  background="images/xww_27.jpg">
          <tr>
            <td><img src="images/xww_19.jpg" width="169" height="42" alt="" /></td>
          </tr>
          <tr>
            <td height="170" align="center" valign="top" style="background-image: url(images/xww_25.jpg);
	background-repeat: no-repeat;
	background-position: top;">
<!-- END SUBMENU -->
	<table width="150" border="0" cellspacing="0" cellpadding="0">
	   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td  height="71"><img src="images/xww_33.jpg" width="169" height="71" alt="" /></td>
          </tr>
        </table></td>
        <td width="45" style="background-image: url(images/xww_23.jpg);
	background-repeat: repeat-x;
	background-position: top;"><img src="images/spacer.gif" width="45" height="10" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="168" background="images/xww_41.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" height="168" valign="bottom" style="background-image: url(images/xww_42.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; padding-left: 60px;
	padding-right: 210px;
	padding-bottom: 20px;">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
        <td width="169" style="background-image: url(images/xww_34.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;"><img src="images/spacer.gif" width="169" height="10" /></td>
        <td width="45"><img src="images/spacer.gif" width="45" height="10" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="70" background="images/xww_45.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" align="left" style="background-image: url(images/xww_46.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; padding-left: 60px;">
<!-- FOOTER -->
<div align="left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
	</td>
        <td width="169" align="left"><img src="images/xww_47.jpg" width="169" height="70" alt="" /></td>
        <td width="45"><img src="images/spacer.gif" width="45" height="10" /></td>
      </tr>
    </table></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr>
                <td width="30" align="center"><img src="images/sub.gif" width="5" height="7" /></td>
                <td width="120" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              <tr>
                <td width="30" align="center"><img src="images/sub.gif" width="5" height="7" /></td>
                <td width="120" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td colspan="2" height="20"><img src="images/xww_31.jpg" width="159" height="1" alt="" /></td>
               </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	  <td width="20" align="center"><img src="images/bm.gif" width="1" height="15" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
